import React from "react";
import PropTypes from "prop-types";
import { Color, Type } from "../types";
export interface ButtonProps {
    children: React.ReactNode;
    className?: string;
    disabled?: boolean;
    loading?: boolean;
    color?: Color;
    onClick: () => void;
    type: Type;
}
export declare const Button: {
    ({ children, className, color, onClick, type, disabled, loading, }: ButtonProps): JSX.Element;
    propTypes: {
        loading: PropTypes.Requireable<boolean>;
        disabled: PropTypes.Requireable<boolean>;
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<Color>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
        type: PropTypes.Validator<Type>;
    };
    defaultProps: {
        onClick: () => any;
        type: string;
        disabled: boolean;
    };
};
