import React from "react";
import PropTypes from "prop-types";
import "../init";
import { FormElement } from "../formElement";
export declare type InputProps = FormElement & {
    inputType?: "email" | "text" | "password" | "tel";
    inset?: React.ReactNode;
};
export declare const Input: {
    ({ className, disabled, label, nullable, onChange, placeholder, inputType, inset, validation, validationMessage, value }: InputProps): JSX.Element;
    propTypes: {
        label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        nullable: PropTypes.Requireable<boolean>;
        value: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        className: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        inputType: PropTypes.Requireable<string>;
        inset: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        validation: PropTypes.Requireable<RegExp | ((...args: any[]) => any)>;
        validationMessage: PropTypes.Requireable<string>;
    };
    defaultProps: {
        disabled: boolean;
        inputType: string;
        nullable: boolean;
        onChange: () => any;
        validation: () => boolean;
        validationMessage: string;
    };
};
