import React from "react";
import styling from "@devcake/styling";
import { useStyle } from "../Scope";

export type Renderer = (value: string) => (props: { [key: string]: any }) => React.ReactElement;

styling.setDefault("components.icon.svg.stroke.width", "2");
styling.setDefault("components.icon.svg.stroke.linecap", "round");
styling.setDefault("components.icon.svg.stroke.linejoin", "round");

export const svg: Renderer = (path) => (props) => {
  const [width, cap, join] = useStyle(["width", "linecap", "linejoin"], "components.icon.svg.stroke");
  return (
    <svg viewBox="0 0 24 24" {...props}>
      <path
        d={path}
        stroke="currentColor"
        fill="none"
        strokeWidth={width}
        strokeLinecap={cap as React.SVGAttributes<any>["strokeLinecap"]}
        strokeLinejoin={join as React.SVGAttributes<any>["strokeLinejoin"]}
      />
    </svg>
  );
};
